﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Drawing;

using Spire.Xls;

namespace _233InsertMultipleRow
{
    class Program
    {
        static void Main(string[] args)
        {
            Workbook workbook = new Workbook();
            Worksheet worksheet = workbook.Worksheets[0];

            DataTable table=new DataTable();
            
            table.Columns.Add("Name",typeof(string));
            table.Columns.Add("Gender",typeof(string));
            table.Columns.Add("Phone",typeof(string));

            table.Rows.Add("Tina","Female","13849945741");
            table.Rows.Add("Tina","Female","13849945741");
            table.Rows.Add("Tina","Female","13849945741");
            table.Rows.Add("Tina","Female","13849945741");

            //for (int i = 0; i < table.Columns.Count; i++)
            //{
            //    worksheet.InsertDataColumn(table.Columns[i], true, 1, i + 1);

            //}

            //add a style
            CellStyle style = workbook.Styles.Add("style");
            style.Color = Color.SkyBlue;
            style.Font.Color = Color.Black;

            //set first row's style
            CellRange range= worksheet.Range["A1"];
            worksheet.Range["A1"].Style = style;

            //set the style the same as the first row
            range.Copy(worksheet.Range["A4"], true, true);

            //import two rows and columns into worksheet
            worksheet.InsertDataTable(table, true, 1, 1, 2, -1);

            workbook.SaveToFile(@"..\..\Test.xlsx",ExcelVersion.Version2010);
            System.Diagnostics.Process.Start(@"..\..\Test.xlsx");
        }
    }
}
